Bug 49468 - The container for 4.3/owncloud=10.0.10-2019-02-18 could not be started!
The container for 4.3/owncloud=10.0.10-2019-02-18 could not be started!
Status: NEW
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.4
Other Linux
: P5 normal (vote)
: ---
Assigned To: App Center maintainers
App Center maintainers
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-14 14:26 CEST by Johannes Keiser
Modified: 2019-05-28 17:29 CEST (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.086
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2019042221000501, 2019042221000252, 2019040321001331, 2019042821000527, 2019051321000731
Bug group (optional): External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Keiser univentionstaff 2019-05-14 14:26:43 CEST
Version: 4.4-0 errata90 (Blumenthal)

The container for 4.3/owncloud=10.0.10-2019-02-18 could not be started!

docker logs 99620a7f8be80e4c908e8f46ccbdcf534c5a52dcfadfa9621612d409390b3441:
Creating volume folders...
Creating hook folders...
Waiting for MySQL...
wait-for-it: waiting 180 seconds for 172.17.42.1:3306
wait-for-it: 172.17.42.1:3306 is available after 0 seconds
Removing custom folder...
Linking custom folder...
Removing config folder...
Linking config folder...
Writing config file...
Fixing base perms...
Fixing data perms...
Fixing config perms...
Fixing file perms...
Fixing app perms...
Fixing session perms...
Fixing hook perms...
[29.LDAP.sh] Check if UCS data mount is there...
[29.LDAP.sh] Mount found, continuing...
[29.LDAP.sh] Folder declaration
[29.LDAP.sh] checking files folder...
index.html
owncloud-appcenter.log
owncloud.log
[29.LDAP.sh] no previous installation found
Upgrading server database...
An unhandled exception has been thrown:
PDOException: SQLSTATE[42S02]: Base table or view not found: 1146 Table 'owncloud.oc_appconfig' doesn't exist in
/var/www/owncloud/lib/composer/doctrine/dbal/lib/Doctrine/DBAL/Driver/PDOConnection.php:104
Stack trace:
#0 /var/www/owncloud/lib/composer/doctrine/dbal/lib/Doctrine/DBAL/Driver/PDOConnection.php(104): PDO->query('SELECT * FROM `...')
#1 /var/www/owncloud/lib/composer/doctrine/dbal/lib/Doctrine/DBAL/Connection.php(852): Doctrine\DBAL\Driver\PDOConnection->query('SELECT * FROM `...')
#2 /var/www/owncloud/lib/private/DB/Connection.php(187): Doctrine\DBAL\Connection->executeQuery('SELECT * FROM `...', Array, Array, NULL)
#3 /var/www/owncloud/lib/composer/doctrine/dbal/lib/Doctrine/DBAL/Query/QueryBuilder.php(206): OC\DB\Connection->executeQuery('SELECT * FROM `...', Array, Array)
#4 /var/www/owncloud/lib/private/DB/QueryBuilder/QueryBuilder.php(141): Doctrine\DBAL\Query\QueryBuilder->execute()
#5 /var/www/owncloud/lib/private/AppConfig.php(301): OC\DB\QueryBuilder\QueryBuilder->execute()
#6 /var/www/owncloud/lib/private/AppConfig.php(80): OC\AppConfig->loadConfigValues()
#7 /var/www/owncloud/lib/private/AppConfig.php(278): OC\AppConfig->getApps()
#8 /var/www/owncloud/lib/private/legacy/app.php(1000): OC\AppConfig->getValues(false, 'installed_versi...')
#9 /var/www/owncloud/lib/private/Server.php(436): OC_App::getAppVersions()
#10 /var/www/owncloud/lib/composer/pimple/pimple/src/Pimple/Container.php(113): OC\Server->OC\{closure}(Object(OC\Server))
#11 /var/www/owncloud/lib/private/AppFramework/Utility/SimpleContainer.php(108): Pimple\Container->offsetGet('MemCacheFactory')
#12 /var/www/owncloud/lib/private/ServerContainer.php(86): OC\AppFramework\Utility\SimpleContainer->query('MemCacheFactory')
#13 /var/www/owncloud/lib/private/Server.php(1195): OC\ServerContainer->query('MemCacheFactory')
#14 /var/www/owncloud/lib/private/Server.php(593): OC\Server->getMemCacheFactory()
#15 /var/www/owncloud/lib/composer/pimple/pimple/src/Pimple/Container.php(113): OC\Server->OC\{closure}(Object(OC\Server))


dockerd logs:
-- Logs begin at Thu 2019-03-14 15:10:58 CET, end at Mon 2019-05-13 19:42:11 CEST. --
mai 13 17:51:39 ucs-1709 dockerd[63338]: time="2019-05-13T17:51:39.211883333+02:00" level=info msg="Loading containers: start."
mai 13 17:51:39 ucs-1709 dockerd[63338]: time="2019-05-13T17:51:39.220203234+02:00" level=info msg="Firewalld running: false"
mai 13 17:51:39 ucs-1709 dockerd[63338]: time="2019-05-13T17:51:39.409371192+02:00" level=info msg="Loading containers: done."
mai 13 17:51:39 ucs-1709 dockerd[63338]: time="2019-05-13T17:51:39.442942408+02:00" level=warning msg="failed to retrieve docker-init version: unknown output format: tini version
0.13.0\n"
mai 13 17:51:39 ucs-1709 dockerd[63338]: time="2019-05-13T17:51:39.443673737+02:00" level=info msg="Daemon has completed initialization"
mai 13 17:51:39 ucs-1709 dockerd[63338]: time="2019-05-13T17:51:39.443982643+02:00" level=info msg="Docker daemon" commit=092cba3 graphdriver=overlay version=1.13.1
mai 13 17:51:39 ucs-1709 dockerd[63338]: time="2019-05-13T17:51:39.453823405+02:00" level=info msg="API listen on /var/run/docker.sock"
-- Reboot --
mai 13 17:58:15 ucs-1709 dockerd[1372]: time="2019-05-13T17:58:15.272484596+02:00" level=info msg="libcontainerd: new containerd process, pid: 1394"
mai 13 17:58:17 ucs-1709 dockerd[1372]: time="2019-05-13T17:58:17.654528688+02:00" level=info msg="Graph migration to content-addressability took 0.00 seconds"
mai 13 17:58:17 ucs-1709 dockerd[1372]: time="2019-05-13T17:58:17.654685100+02:00" level=warning msg="Your kernel does not support swap memory limit"
mai 13 17:58:17 ucs-1709 dockerd[1372]: time="2019-05-13T17:58:17.654719807+02:00" level=warning msg="Your kernel does not support cgroup rt period"
mai 13 17:58:17 ucs-1709 dockerd[1372]: time="2019-05-13T17:58:17.654728655+02:00" level=warning msg="Your kernel does not support cgroup rt runtime"
mai 13 17:58:17 ucs-1709 dockerd[1372]: time="2019-05-13T17:58:17.655247871+02:00" level=info msg="Loading containers: start."
mai 13 17:58:17 ucs-1709 dockerd[1372]: time="2019-05-13T17:58:17.754009514+02:00" level=info msg="Firewalld running: false"
mai 13 17:58:19 ucs-1709 dockerd[1372]: time="2019-05-13T17:58:19.745499528+02:00" level=info msg="Loading containers: done."
mai 13 17:58:20 ucs-1709 dockerd[1372]: time="2019-05-13T17:58:20.244817150+02:00" level=warning msg="failed to retrieve docker-init version: unknown output format: tini version
0.13.0\n"
mai 13 17:58:20 ucs-1709 dockerd[1372]: time="2019-05-13T17:58:20.245617445+02:00" level=info msg="Daemon has completed initialization"
mai 13 17:58:20 ucs-1709 dockerd[1372]: time="2019-05-13T17:58:20.245919923+02:00" level=info msg="Docker daemon" commit=092cba3 graphdriver=overlay version=1.13.1
mai 13 17:58:20 ucs-1709 dockerd[1372]: time="2019-05-13T17:58:20.452324213+02:00" level=info msg="API listen on /var/run/docker.sock"


docker inspect:
{u'Status': u'exited', u'Pid': 0, u'OOMKilled': False, u'Dead': False, u'Paused': False, u'Running': False, u'FinishedAt': u'2019-05-13T16:01:21.879460551Z', u'Restarting': False,
u'Error': u'', u'StartedAt': u'2019-05-13T16:01:17.666321982Z', u'ExitCode': 1}
{u'Data': {u'MergedDir': u'/var/lib/docker/overlay/3d0c3255eb23b3740b74f65e0026cd3861aaffe6c5bf38a18bd4fc1f3c19b45f/merged', u'WorkDir':
u'/var/lib/docker/overlay/3d0c3255eb23b3740b74f65e0026cd3861aaffe6c5bf38a18bd4fc1f3c19b45f/work', u'LowerDir':
u'/var/lib/docker/overlay/59fa2dc3a046a87bc47cf8756850f9176cd166ae2cf19e6d51a4458f405cf540/root', u'UpperDir':
u'/var/lib/docker/overlay/3d0c3255eb23b3740b74f65e0026cd3861aaffe6c5bf38a18bd4fc1f3c19b45f/upper'}, u'Name': u'overlay'}

Role: domaincontroller_master
Comment 1 Johannes Keiser univentionstaff 2019-05-14 15:44:07 CEST
Reported again: Version: 4.4-0 errata59 (Blumenthal)

Remark: Install Owncloud

The container for 4.3/owncloud=10.0.10-2019-02-18 could not be started!

docker logs 545fba007c9ab121c328a20368e92b3102df5833bfa2574da80477e04a89050f:
Creating volume folders...
Creating hook folders...
Waiting for MySQL...
wait-for-it: waiting 180 seconds for 172.17.42.1:3306
wait-for-it: 172.17.42.1:3306 is available after 0 seconds
Removing custom folder...
Linking custom folder...
Removing config folder...
Linking config folder...
Writing config file...
Fixing base perms...
Fixing data perms...
Fixing config perms...
Fixing file perms...
Fixing app perms...
Fixing session perms...
Fixing hook perms...
[29.LDAP.sh] Check if UCS data mount is there...
[29.LDAP.sh] Mount found, continuing...
[29.LDAP.sh] Folder declaration
[29.LDAP.sh] checking files folder...
index.html
owncloud-appcenter.log
owncloud.log
[29.LDAP.sh] no previous installation found
Upgrading server database...
An unhandled exception has been thrown:
PDOException: SQLSTATE[42S02]: Base table or view not found: 1146 Table 'owncloud.oc_appconfig' doesn't exist in
/var/www/owncloud/lib/composer/doctrine/dbal/lib/Doctrine/DBAL/Driver/PDOConnection.php:104
Stack trace:
#0 /var/www/owncloud/lib/composer/doctrine/dbal/lib/Doctrine/DBAL/Driver/PDOConnection.php(104): PDO->query('SELECT * FROM `...')


dockerd logs:
-- Logs begin at Thu 2019-03-14 15:10:58 CET, end at Sun 2019-04-28 22:25:08 CEST. --
Apr 28 20:34:21 ucs-3292 dockerd[1575]: time="2019-04-28T20:34:21.923454363+02:00" level=error msg="Handler for HEAD
/v1.26/containers/1532d2521aa794372eabc4d12cf1e458dec6cf4e0cd60d681deb3298829fa23d/archive returned error: lstat
/var/lib/docker/overlay/58897b9dcacbaadc0788d63eb7a0748a88928f1f16f2c75756b19223d3d6f03c/merged/etc/owncloud.secret: no such file or directory"
Apr 28 20:34:34 ucs-3292 dockerd[1575]: time="2019-04-28T20:34:34.302420242+02:00" level=error msg="Handler for POST
/v1.26/containers/1532d2521aa794372eabc4d12cf1e458dec6cf4e0cd60d681deb3298829fa23d/stop returned error: Container 1532d2521aa794372eabc4d12cf1e458dec6cf4e0cd60d681deb3298829fa23d
is already stopped"
Apr 28 20:39:57 ucs-3292 dockerd[1575]: time="2019-04-28T20:39:57.367493710+02:00" level=info msg="Processing signal 'terminated'"


docker inspect:
{u'Status': u'exited', u'Pid': 0, u'OOMKilled': False, u'Dead': False, u'Paused': False, u'Running': False, u'FinishedAt': u'2019-04-28T18:52:52.44772016Z', u'Restarting': False,
u'Error': u'', u'StartedAt': u'2019-04-28T18:52:49.471823022Z', u'ExitCode': 1}
{u'Data': {u'MergedDir': u'/var/lib/docker/overlay/09e535618c5a9e863aa2e0dbd5050a4b46cd12288480a065d25d926f62048550/merged', u'WorkDir':
u'/var/lib/docker/overlay/09e535618c5a9e863aa2e0dbd5050a4b46cd12288480a065d25d926f62048550/work', u'LowerDir':
u'/var/lib/docker/overlay/59fa2dc3a046a87bc47cf8756850f9176cd166ae2cf19e6d51a4458f405cf540/root', u'UpperDir':
u'/var/lib/docker/overlay/09e535618c5a9e863aa2e0dbd5050a4b46cd12288480a065d25d926f62048550/upper'}, u'Name': u'overlay'}

Role: domaincontroller_master
Comment 2 Johannes Keiser univentionstaff 2019-05-28 17:28:24 CEST
Reported again: Version: 4.4-0 errata51 (Blumenthal)

The container for 4.3/owncloud=10.0.10-2019-02-18 could not be started!

docker logs a56c7f4efbdb2a158bb1227a2572d558ea7d5ddc61e3395e730142d943278732:
Creating volume folders...
Creating hook folders...
Waiting for MySQL...
wait-for-it: waiting 180 seconds for 172.17.42.1:3306
wait-for-it: 172.17.42.1:3306 is available after 0 seconds
Removing custom folder...
Linking custom folder...
Removing config folder...
Linking config folder...
Writing config file...
Fixing base perms...
Fixing data perms...
Fixing config perms...


dockerd logs:
-- Logs begin at Tue 2018-05-08 11:05:11 CEST, end at Mon 2019-04-22 09:21:33 CEST. --
abr 22 09:07:11 owncloud dockerd[1335]: time="2019-04-22T09:07:11.156420061+02:00" level=info msg="libcontainerd: new containerd process, pid: 1370"
abr 22 09:07:15 owncloud dockerd[1335]: time="2019-04-22T09:07:15.820814599+02:00" level=info msg="Graph migration to content-addressability took 0.00 seconds"
abr 22 09:07:15 owncloud dockerd[1335]: time="2019-04-22T09:07:15.821242836+02:00" level=warning msg="Your kernel does not support swap memory limit"
abr 22 09:07:15 owncloud dockerd[1335]: time="2019-04-22T09:07:15.821367240+02:00" level=warning msg="Your kernel does not support cgroup rt period"
abr 22 09:07:15 owncloud dockerd[1335]: time="2019-04-22T09:07:15.821397543+02:00" level=warning msg="Your kernel does not support cgroup rt runtime"
abr 22 09:07:15 owncloud dockerd[1335]: time="2019-04-22T09:07:15.825345174+02:00" level=info msg="Loading containers: start."
abr 22 09:07:16 owncloud dockerd[1335]: time="2019-04-22T09:07:16.067504676+02:00" level=info msg="Firewalld running: false"
abr 22 09:07:19 owncloud dockerd[1335]: time="2019-04-22T09:07:19.419087225+02:00" level=info msg="Loading containers: done."
abr 22 09:07:19 owncloud dockerd[1335]: time="2019-04-22T09:07:19.461093690+02:00" level=warning msg="failed to retrieve docker-init version: unknown output format: tini version
0.13.0\n"
abr 22 09:07:19 owncloud dockerd[1335]: time="2019-04-22T09:07:19.462651022+02:00" level=info msg="Daemon has completed initialization"


docker inspect:
{u'Status': u'exited', u'Pid': 0, u'OOMKilled': False, u'Dead': False, u'Paused': False, u'Running': False, u'FinishedAt': u'2019-04-22T07:21:32.968176022Z', u'Restarting': False,
u'Error': u'', u'StartedAt': u'2019-04-22T07:21:28.249502843Z', u'ExitCode': 1}
{u'Data': {u'MergedDir': u'/var/lib/docker/overlay/1923b7af8d20ee3cf76df8464b20baf086bf96e4147fa54b372e0518c2edfc1d/merged', u'WorkDir':
u'/var/lib/docker/overlay/1923b7af8d20ee3cf76df8464b20baf086bf96e4147fa54b372e0518c2edfc1d/work', u'LowerDir':
u'/var/lib/docker/overlay/3962843783a547d9b8567790c6367ad17a79955059d10a6c6e20ee429d296f90/root', u'UpperDir':
u'/var/lib/docker/overlay/1923b7af8d20ee3cf76df8464b20baf086bf96e4147fa54b372e0518c2edfc1d/upper'}, u'Name': u'overlay'}

Role: domaincontroller_master
Comment 3 Johannes Keiser univentionstaff 2019-05-28 17:29:47 CEST
Reported again: Version: 4.4-0 errata51 (Blumenthal)

The container for 4.3/owncloud=10.0.10-2019-02-18 could not be started!

docker logs f7a2fa3e90b05135365b602b553fd39bd476e06e64b1655056851b17bd1718e0:
Creating volume folders...


dockerd logs:
-- Logs begin at Tue 2018-05-08 11:05:11 CEST, end at Mon 2019-04-22 16:09:22 CEST. --
abr 22 15:57:39 owncloud dockerd[1314]: time="2019-04-22T15:57:39.996673762+02:00" level=error msg="Error getting nodes: This node is not a swarm manager. Use \"docker swarm init\"
or \"docker swarm join\" to connect this node to swarm and try again."
abr 22 15:57:40 owncloud dockerd[1314]: time="2019-04-22T15:57:39.996865121+02:00" level=error msg="Handler for GET /v1.26/nodes returned error: This node is not a swarm manager.
Use \"docker swarm init\" or \"docker swarm join\" to connect this node to swarm and try again."
abr 22 15:57:48 owncloud dockerd[1314]: time="2019-04-22T15:57:48.135744412+02:00" level=error msg="Error getting services: This node is not a swarm manager. Use \"docker swarm
init\" or \"docker swarm join\" to connect this node to swarm and try again."
abr 22 15:57:48 owncloud dockerd[1314]: time="2019-04-22T15:57:48.135815757+02:00" level=error msg="Handler for GET /v1.26/services returned error: This node is not a swarm
manager. Use \"docker swarm init\" or \"docker swarm join\" to connect this node to swarm and try again."


docker inspect:
{u'Status': u'exited', u'Pid': 0, u'OOMKilled': False, u'Dead': False, u'Paused': False, u'Running': False, u'FinishedAt': u'2019-04-22T14:09:22.744321259Z', u'Restarting': False,
u'Error': u'', u'StartedAt': u'2019-04-22T14:09:20.270516227Z', u'ExitCode': 127}
{u'Data': {u'MergedDir': u'/var/lib/docker/overlay/b99afdd7179cea057970dc90747bfe260554f682ce05daf8b22b8f8074e6cbbb/merged', u'WorkDir':
u'/var/lib/docker/overlay/b99afdd7179cea057970dc90747bfe260554f682ce05daf8b22b8f8074e6cbbb/work', u'LowerDir':
u'/var/lib/docker/overlay/aa37e2c74d8ad66360d113d3c73d2be7b8874564f18582b98dd99047a66b0137/root', u'UpperDir':
u'/var/lib/docker/overlay/b99afdd7179cea057970dc90747bfe260554f682ce05daf8b22b8f8074e6cbbb/upper'}, u'Name': u'overlay'}